
TITLE BIOS DATA AREA FOR MPX-16 SBC
PAGE        60,132
;*
;*	DATE OF THIS REVISION:	8/18/83
;*
;----------------------------
; INTERRUPT VECTORS STARTING AT ABSOLUTE LOCATION 0:0
;----------------------------
ABS0       SEGMENT  AT 0
;
PUBLIC	INT_0_VEC,NMI_VEC,PRTSC_VEC,IBM_INT,DISK_POINTER
PUBLIC	VID_PARM_PTR,GR_CHAR_EXT,MPX_INT
;
INT_0_VEC  LABEL    BYTE
           ORG      2*4
NMI_VEC    LABEL    WORD
           ORG     5*4
PRTSC_VEC  LABEL   WORD
           ORG      10H*4
IBM_INT    LABEL    WORD        ; BASE FOR SOFT INTERRUPT TABLE
           ORG      1EH*4
DISK_POINTER LABEL  DWORD       ; VARIABLE FOR DISK IO ROUTINES
	ORG	4*29
VID_PARM_PTR	LABEL	DWORD
	ORG	4*31
GR_CHAR_EXT	LABEL	DWORD
           ORG      40H*4
MPX_INT    LABEL    WORD        ; BASE FOR HARD INTERRUPT TABLE
ABS0       ENDS

;----------------------------
; RESERVED DATA AREAS
;----------------------------
DATA       SEGMENT  AT 040H
;
PUBLIC	EQUIP_FLAG,MEM_SIZ,KB_STATE_FLAG,KB_SHIFT_FLAG,ALT_INPUT
PUBLIC	KB_BUFFER,KB_BUFLEN,RECAL_FLG,MOTOR_STAT,MOTOR_CNT
PUBLIC	DISK_STAT,DISK_STAT_ARRAY,VIDEO_MODE,DISPLAY_RAM_SIZE
PUBLIC	NUMBER_OF_DISPLAY_COLUMNS,DISPLAY_START_ADDRESS
PUBLIC	CURSOR_POSITION_TABLE,CURSOR_TYPE,ACTIVE_DISPLAY_PAGE
PUBLIC	VIDEO_PORT_BASE,CURRENT_CONTROL_SETTING
PUBLIC	CURRENT_COLOR_PALLETTE,NUMSEC,DISK_INT_FLG,TIMER_LSW
PUBLIC	TIMER_MSW,TIMER_FLG,BREAK_FLAG,PRTSC_STAT
PUBLIC	TEMP_CHAR,KB_BUFPTR,BREAK_FLAG
;
		DW	8 DUP(?)	; RESERVED
EQUIP_FLAG	DW	?	; INSTALLED HARDWARE
	DB	?	; RESERVED
MEM_SIZ		DW	?	; SIZE IN K BYTES
	DW	?	; RESERVED
;*
;*	DATA VARIABLES ASSOCIATED WITH THE SERIAL KEYBOARD
;*
KB_STATE_FLAG	DB	?	; SERIAL KBD SHIFTED KEY STATUS FLAG
KB_SHIFT_FLAG	DB	?	; SERIAL KBD SHIFTED KEY DEPRESSED FLAG
ALT_INPUT	DB	?	; SERIAL KBD ALTERNATE INPUT BUFFER
	DW	2 DUP (?)
KB_BUFFER	DW	16 DUP(?) ; SERIAL KBD INPUT QUEUE AREA
KB_BUFLEN	EQU	OFFSET $ - OFFSET KB_BUFFER
;

;----------------------------
; DISKETTE DATA AREAS
;----------------------------
RECAL_FLG     DB   ?            ; DRIVE RECALIBRATION STATUS
;                                 BIT 3-0 = DRIVE 3 - 0 NEEDS RECAL 
;                                 BEFORE NEXT SEEK IF BIT = 0
MOTOR_STAT    DB   ?            ; MOTOR STATUS
;                                 BIT 2-0 = DRIVE C/D,B,A IS RUNNING
MOTOR_CNT     DB   ?            ; TIME OUT COUNTER FOR DRIVE TURN OFF
;    
DISK_STAT     DB   ?            ; SINGLE BYTE RETURN CODE OF STATUS
DISK_STAT_ARRAY  DB     7 DUP(?)    ; STATUS FROM 8272
;*
;*	DATA AREA USED BY THE GRAPHICS ADAPTER CARDS
;*
VIDEO_MODE			DB	?
NUMBER_OF_DISPLAY_COLUMNS	DW	?
DISPLAY_RAM_SIZE		DW	?
DISPLAY_START_ADDRESS		DW	?
CURSOR_POSITION_TABLE		DW	8 DUP(?)
CURSOR_TYPE			DW	?
ACTIVE_DISPLAY_PAGE		DB	?
VIDEO_PORT_BASE			DW	?
CURRENT_CONTROL_SETTING		DB	?
CURRENT_COLOR_PALLETTE		DB	?
;

NUMSEC		DB	?	; FOR TMP STORAGE DURING DISK XFERS
DISK_INT_FLG	DB	?	; DISK INTERRUPT OCCURRED FLAG
;
	DB	3 DUP (?)	; RESERVED
;----------------------------
; TIMER DATA AREA
;----------------------------
TIMER_LSW    DW     ?           ; LOW WORD OF TIMER COUNT
TIMER_MSW    DW     ?           ; HIGH WORD OF TIMER COUNT
TIMER_FLG    DB     ?           ; TIMER HAS ROLLED OVER SINCE LAST READ

BREAK_FLAG	DB	?	; MSB SET IF BREAK KEY ENTERED FROM KBD
;*
;*	TEMP CHARACTER ARRAY USED BY GRAPHICS ROUTINES.
;*
TEMP_CHAR	DB	8 DUP(?)
KB_BUFPTR	DW	6 DUP(?)	; KEYBOARD QUEUE PARAMETER BLOCK
;
PRTSC_STAT	DB	?	; PRINT SCREEN INTERRUPT FLAG
DATA         ENDS
	END
